<?php
  ///////////////////////////////////////////////////
  //перемещение строк вверх/вниз
  //2009 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if (is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['org-title3'];

  require_once "../config.php";
  require_once "../util/top.php";

  if($result2['user'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_GET['room_id'])) puterror2($TEXT['meet-err-edit2']);
  if(strlen($_GET['room_id'])>11) puterror2($TEXT['meet-err-edit3']);
  if(empty($_GET['org_id'])) puterror2($TEXT['error-org10']);
  if(strlen($_GET['org_id'])>11) puterror2($TEXT['error-org1']);
  if(empty($_GET['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_GET['position'])>5) puterror2($TEXT['error-nd5']);
  if(empty($_GET['moving'])) puterror2($TEXT['error-otd4']);
  if(strlen($_GET['moving'])>5) puterror2($TEXT['error-otd5']);

  $_GET['position'] = rep($_GET['position']);
  $_GET['room_id'] = rep($_GET['room_id']);
  $_GET['moving'] = rep($_GET['moving']);
  $_GET['org_id'] = rep($_GET['org_id']);

  if($_GET['moving']=="up"){
  $query_move = "SELECT room_id, org_id, position FROM `tbl_meet_room` WHERE `position`<'".$_GET['position']."' AND `org_id`='".$_GET['org_id']."' ORDER BY `position` DESC LIMIT 1 ";
  $result_move = mysql_query($query_move);
  if(!$result_move) puterror2($TEXT['error-tbl48']);
   $result2_move = mysql_fetch_array($result_move);
   if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

   $query = "UPDATE `tbl_meet_room` SET `position`='".$result2_move['position']."' WHERE `room_id`='".$_GET['room_id']."' ";
   if(mysql_query($query))
   {
   $query = "UPDATE `tbl_meet_room` SET `position`='".$_GET['position']."' WHERE `room_id`='".$result2_move['room_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php?onorg=on&org_id=".$_GET['org_id']."' />
          </head></html>";
      } else puterror2($TEXT['meet-err-edit1']);
   } else puterror2($TEXT['meet-err-edit1']);
  }
  else
  {
  $query_move = "SELECT room_id, org_id, position FROM `tbl_meet_room` WHERE `position`>'".$_GET['position']."' AND `org_id`='".$_GET['org_id']."' ORDER BY `position` LIMIT 1";
  $result_move = mysql_query($query_move);
  if (!$result_move) puterror2($TEXT['error-tbl48']);
   $result2_move = mysql_fetch_array($result_move);
  if($result2_move['position'] == 0) puterror2($TEXT['global-up-down']);

  $query = "UPDATE `tbl_meet_room` SET `position`='".$_GET['position']."' WHERE `room_id`='".$result2_move['room_id']."' ";
  if(mysql_query($query))
  {
   $query = "UPDATE `tbl_meet_room` SET `position`='".$result2_move['position']."' WHERE `room_id`='".$_GET['room_id']."' ";
     if(mysql_query($query))
      {
       echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php?onorg=on&org_id=".$_GET['org_id']."'' />
          </head></html>";
      } else puterror2($TEXT['meet-err-edit1']);
    } else puterror2($TEXT['meet-err-edit1']);
  }
  require_once "../util/bottom.php";
?>
